Bug 1752916 - must-gather doesn't collect config.imageregistry resource
Summary: must-gather doesn't collect config.imageregistry resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1752918
TreeView+ depends on / blocked
 
Reported: 2019-09-17 14:45 UTC by Oleg Bulatov
Modified: 2019-10-16 06:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1752918 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:41:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 386 None None None 2019-09-17 14:55:43 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:41:41 UTC

Description Oleg Bulatov 2019-09-17 14:45:57 UTC
Description of problem:

The clusteroperator resource for the image registry doesn't have the config.imageregistry.operator.openshift.io/cluster resource in the relatedObjects field. As a result, this resource are not collected by the must-gather tool.

Comment 2 Wenjing Zheng 2019-09-19 08:27:35 UTC
Verified on 4.2.0-0.nightly-2019-09-18-211009
$ oc version
Client Version: v4.2.0
Server Version: 4.2.0-0.nightly-2019-09-18-211009
Kubernetes Version: v1.14.6+65f7113
$ ls
default                                 openshift-cluster-version              openshift-ingress                           openshift-marketplace
kube-system                             openshift-config                       openshift-ingress-operator                  openshift-monitoring
openshift                               openshift-config-managed               openshift-insights                          openshift-multus
openshift-apiserver                     openshift-console                      openshift-kube-apiserver                    openshift-network-operator
openshift-apiserver-operator            openshift-console-operator             openshift-kube-apiserver-operator           openshift-operator-lifecycle-manager
openshift-authentication                openshift-controller-manager           openshift-kube-controller-manager           openshift-sdn
openshift-authentication-operator       openshift-controller-manager-operator  openshift-kube-controller-manager-operator  openshift-service-ca
openshift-cloud-credential-operator     openshift-dns                          openshift-kube-scheduler                    openshift-service-ca-operator
openshift-cluster-node-tuning-operator  openshift-dns-operator                 openshift-kube-scheduler-operator           openshift-service-catalog-apiserver-operator
openshift-cluster-samples-operator      openshift-etcd                         openshift-machine-api                       openshift-service-catalog-controller-manager-operator
openshift-cluster-storage-operator      openshift-image-registry               openshift-machine-config-operator
ls openshift-image-registry/
apps  apps.openshift.io  autoscaling  batch  build.openshift.io  core  image.openshift.io  openshift-image-registry.yaml  pods  route.openshift.io

Comment 3 errata-xmlrpc 2019-10-16 06:41:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.